Get GPU instance connections
curl --request GET \
--url https://api.aireserve.com/v1/gpu/instances/{instanceId}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/instances/{instanceId}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/instances/{instanceId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available": true,
"ssh": {
"command": "<string>",
"user": "<string>",
"host": "<string>",
"port": 0
},
"http": [
{
"port": 0,
"url": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}GPU Infrastructure
Get GPU instance connections
Return structured SSH and HTTP connection details when the instance is running. Requires compute manage access.
GET
/
v1
/
gpu
/
instances
/
{instanceId}
/
connections
Get GPU instance connections
curl --request GET \
--url https://api.aireserve.com/v1/gpu/instances/{instanceId}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/instances/{instanceId}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/instances/{instanceId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available": true,
"ssh": {
"command": "<string>",
"user": "<string>",
"host": "<string>",
"port": 0
},
"http": [
{
"port": 0,
"url": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).